[arch-commits] Commit in muine/trunk (PKGBUILD muine.install)

Jan de Groot jgc at archlinux.org
Fri Jul 18 02:37:44 EDT 2008


    Date: Friday, July 18, 2008 @ 02:37:43
  Author: jgc
Revision: 5531

Fix dependencies on old gstreamer plugins
Add postinstall message from rhythmbox
Add md5sums
clean up PKGBUILD to comply with GNOME packaging standards

Modified:
  muine/trunk/PKGBUILD
  muine/trunk/muine.install

---------------+
 PKGBUILD      |   17 ++++++++---------
 muine.install |   18 ++++++++----------
 2 files changed, 16 insertions(+), 19 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-18 06:33:07 UTC (rev 5530)
+++ PKGBUILD	2008-07-18 06:37:43 UTC (rev 5531)
@@ -9,13 +9,12 @@
 arch=(i686 x86_64)
 license=('GPL')
 url="http://www.muine-player.org/"
-depends=('gnome-sharp' 'gstreamer0.10-faad>=0.10.4-2' 'desktop-file-utils'
-         'gstreamer0.10-vorbis' 'gstreamer0.10-mad' 'gstreamer0.10-flac>=0.10.5-2'
-         'gstreamer0.10-gnomevfs' 'gstreamer0.10-gconf' 'libgnomeui>=2.20.1')
+depends=('gnome-sharp' 'gstreamer0.10-good-plugins' 'gstreamer0.10-base-plugins' 'desktop-file-utils' 'libgnomeui>=2.22.1')
 makedepends=('perlxml' 'pkgconfig')
 options=('!libtool' '!emptydirs')
 install=muine.install
 source=(http://muine-player.org/releases/muine-${pkgver}.tar.gz)
+md5sums=('0bf318424d35241525df701e107dd6b1')
 
 build() {
 
@@ -24,14 +23,14 @@
  
   cd ${startdir}/src/${pkgname}-${pkgver}
   ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
-              --disable-static --enable-gstreamer
+              --disable-static --enable-gstreamer || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 install
+  make DESTDIR=${startdir}/pkg GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 install || return 1
 
-  install -m755 plugins/TrayIcon.{dll,xml} ${startdir}/pkg/usr/lib/muine/plugins/
-  install -m644 plugins/muine-tray-*.png ${startdir}/pkg/usr/lib/muine/plugins/
+  install -m755 plugins/TrayIcon.{dll,xml} ${startdir}/pkg/usr/lib/muine/plugins/ || return 1
+  install -m644 plugins/muine-tray-*.png ${startdir}/pkg/usr/lib/muine/plugins/ || return 1
 
-  mkdir -p ${startdir}/pkg/usr/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  install -m755 -d ${startdir}/pkg/usr/share/gconf/schemas
+  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas || return 1
   rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
 }

Modified: muine.install
===================================================================
--- muine.install	2008-07-18 06:33:07 UTC (rev 5530)
+++ muine.install	2008-07-18 06:37:43 UTC (rev 5531)
@@ -4,15 +4,17 @@
   usr/sbin/gconfpkg --install ${pkgname}
   update-desktop-database -q
   gtk-update-icon-cache -f -t -q usr/share/icons/hicolor
+  cat << EOF
 
-  cat << _EOF
+  ==> Muine uses GStreamer to play media. By default, only plugins from
+  ==> gst-plugins-good and gst-plugins-base are installed.
+  ==>
+  ==> To play additional media formats, more plugins are available from
+  ==> gstreamer0.10-ugly-plugins, gstreamer0.10-bad-plugins 
+  ==> and gstreamer0.10-ffmpeg packages.
 
-==> Muine uses GStreamer 0.10 to play audio files.
- -> Muine is configured to play OGG, FLAC and MP3 audio files.
- -> To play additional audio formats please install the corresponding 
- -> gstreamer0.10- package for that audio format.
+EOF
 
-_EOF
 }
 
 pre_upgrade() {
@@ -31,7 +33,3 @@
   gtk-update-icon-cache -f -t -q /usr/share/icons/hicolor
   update-desktop-database -q
 }
-
-op=$1
-shift
-$op $*





More information about the arch-commits mailing list